dhall-1.41.2: A configuration language guaranteed to terminate

Safe Haskell | Safe-Inferred
Language | Haskell2010

Dhall.Src

Contents

- Type

Description

This module provides the `Src` type used for source spans in error messages

Synopsis

- data Src = Src {
  - srcStart :: !SourcePos
  - srcEnd :: !SourcePos
  - srcText :: Text
  }

# Type

data Src Source #

Source code extract

Constructors

Src |

Fields

- srcStart :: !SourcePos
- srcEnd :: !SourcePos
- srcText :: Text

#### Instances

Instances details

Data Src Source # |

Instance details

Defined in Dhall.Src

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Src -> c Src Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Src Source #

toConstr :: Src -> Constr Source #

dataTypeOf :: Src -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c Src) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Src) Source #

gmapT :: (forall b. Data b => b -> b) -> Src -> Src Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Src -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Src -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Src -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Src -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Src -> m Src Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Src -> m Src Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Src -> m Src Source #

Generic Src Source # |
Instance details Defined in Dhall.Src Associated Types type Rep Src :: Type -> Type Source # Methods from :: Src -> Rep Src x Source # to :: Rep Src x -> Src Source #
Show Src Source # |
Instance details Defined in Dhall.Src Methods showsPrec :: Int -> Src -> ShowS Source # show :: Src -> String Source # showList :: [Src] -> ShowS Source #
NFData Src Source # |
Instance details Defined in Dhall.Src Methods rnf :: Src -> () Source #
Eq Src Source # |
Instance details Defined in Dhall.Src Methods (==) :: Src -> Src -> Bool Source # (/=) :: Src -> Src -> Bool Source #
Ord Src Source # |
Instance details Defined in Dhall.Src Methods compare :: Src -> Src -> Ordering Source # (<) :: Src -> Src -> Bool Source # (<=) :: Src -> Src -> Bool Source # (>) :: Src -> Src -> Bool Source # (>=) :: Src -> Src -> Bool Source # max :: Src -> Src -> Src Source # min :: Src -> Src -> Src Source #
Pretty Src Source # |
Instance details Defined in Dhall.Src Methods pretty :: Src -> Doc ann Source # prettyList :: [Src] -> Doc ann Source #
Lift Src Source # |
Instance details Defined in Dhall.Src Methods lift :: Quote m => Src -> m Exp Source # liftTyped :: forall (m :: Type -> Type). Quote m => Src -> Code m Src Source #
type Rep Src Source # |

Instance details

Defined in Dhall.Src

type Rep Src = D1 ('MetaData "Src" "Dhall.Src" "dhall-1.41.2-AmbmZIyY3Qg7BXVQFY7oVI" 'False) (C1 ('MetaCons "Src" 'PrefixI 'True) (S1 ('MetaSel ('Just "srcStart") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 SourcePos) :*: (S1 ('MetaSel ('Just "srcEnd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 SourcePos) :*: S1 ('MetaSel ('Just "srcText") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text))))